<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UserLoginOtp extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (!Schema::hasTable('user_login_otp')) 
        Schema::create('user_login_otp', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nokp', 20);
            $table->string('telefon');
            $table->string('token');
            $table->timestamp('created_at');
            $table->timestamp('expired_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
